GCLOUD_DEBUG_LOGPOINTS_LIST(1)

NAME

gcloud debug logpoints list - list debug logpoints

SYNOPSIS

gcloud debug logpoints list [ID ...] [--no-all-users] [--include-inactive=INCLUDE_INACTIVE; default="300"] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command displays a list of the active debug logpoints for a Cloud Debugger debug target.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more logpoint resource identifiers. The specified logpoints will be listed.

FLAGS

    --all-users
        If false, display only logpoints created by the current user. Enabled by default, use --no-all-users to disable.

    --include-inactive=INCLUDE_INACTIVE; default="300"
        Include logpoints which failed or expired in the last INCLUDE_INACTIVE seconds. If the value is "unlimited", all failed or expired logpoints will be included.

    --location=LOCATION-REGEXP
        A regular expression to match against logpoint locations. All logpoints matching this value will be listed. You may specify --location multiple times. EXAMPLE:
        gcloud debug logpoints list \
            --location foo.py:[1-3] --location bar.py:4

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.